package com.lanyuanxiaoyao.service.check.configuration;

import java.util.List;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author lanyuanxiaoyao
 * @date 2024-02-23
 */
@Configuration
@ConfigurationProperties("checker.hdfs")
@ConditionalOnProperty(value = "checker.hdfs.enabled", matchIfMissing = true)
public class HdfsConfigurationProperties {
    private Boolean enabled = true;
    private List<String> existsPaths;

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public List<String> getExistsPaths() {
        return existsPaths;
    }

    public void setExistsPaths(List<String> existsPaths) {
        this.existsPaths = existsPaths;
    }

    @Override
    public String toString() {
        return "HdfsConfigurationProperties{" +
               "enabled=" + enabled +
               ", existsPaths=" + existsPaths +
               '}';
    }
}
